package dk.apaq.crud;

import dk.apaq.filter.Filter;
import dk.apaq.filter.limit.Limit;
import dk.apaq.filter.sort.Sorter;

/**
 *
 * @author krog
 */
public class CrudListSpecification {
    
    private Filter filter;
    private Sorter sorter;
    private Limit limit;

    public CrudListSpecification() {
    }

    public CrudListSpecification(Filter filter) {
        this.filter = filter;
    }

    public CrudListSpecification(Limit limit) {
        this.limit = limit;
    }

    public CrudListSpecification(Filter filter, Sorter sorter, Limit limit) {
        this.filter = filter;
        this.sorter = sorter;
        this.limit = limit;
    }

    public Filter getFilter() {
        return filter;
    }

    public Limit getLimit() {
        return limit;
    }

    public Sorter getSorter() {
        return sorter;
    }

    public void setFilter(Filter filter) {
        this.filter = filter;
    }

    public void setLimit(Limit limit) {
        this.limit = limit;
    }

    public void setSorter(Sorter sorter) {
        this.sorter = sorter;
    }
    
}
